Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 272250 - =media-video/mplayer-1.0_rc2_p20090731 w/out custom-cflags: liba52/imdct_3dnow.h:289: error: can't find a register in class 'GENERAL_REGS' while reloading 'asm'
Summary: =media-video/mplayer-1.0_rc2_p20090731 w/out custom-cflags: liba52/imdct_3dno...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal with 1 vote (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-06-02 11:28 UTC by Maciej Piechotka
Modified: 2009-10-27 02:44 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
My build log (build.log,582.57 KB, text/plain)
2009-06-15 07:55 UTC, Sasha Medvedev
Details
My emerge --info (emerge.info,3.84 KB, text/plain)
2009-06-15 07:57 UTC, Sasha Medvedev
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Piechotka 2009-06-02 11:28:15 UTC
media-video/mplayer-1.0_rc2_p20090530 fails to build. It seems to try to build 3dnow extention on non-3dnow-enabled system (Although I'm not sure how would it prevent build.

Reproducible: Always

Actual Results:  
i686-pc-linux-gnu-gcc -Wundef -Wdisabled-optimization -Wno-pointer-sign -Wdeclaration-after-statement -std=gnu99 -Wall -Wno-switch -Wpointer-arith -Wredundant-decls -O4 -march=native -mtune=native -pipe -ffast-math -fomit-frame-pointer -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -Ilibdvdread4 -I.  -D_REENTRANT -I/usr/X11R6/include -I/usr/include/SDL  -D_REENTRANT   -D_REENTRANT   -I/usr/include/freetype2   -I/usr/include/dirac   -I/usr/include/schroedinger-1.0 -I/usr/include/liboil-0.3     -c -o liba52/imdct.o liba52/imdct.c
In file included from liba52/imdct.c:729:
liba52/imdct_3dnow.h: In function 'T.65':
liba52/imdct_3dnow.h:289: error: can't find a register in class 'GENERAL_REGS' while reloading 'asm'
(...)
liba52/imdct_3dnow.h:257: error: can't find a register in class 'GENERAL_REGS' while reloading 'asm'
liba52/imdct_3dnow.h:117: error: 'asm' operand has impossible constraints
(numerous repetition)
liba52/imdct_3dnow.h:263: error: 'asm' operand has impossible constraints
liba52/imdct.c: In function 'ifft16':
liba52/imdct.c:294: warning: array subscript is below array bounds
liba52/imdct.c: In function 'ifft64_c':
liba52/imdct.c:310: warning: array subscript is below array bounds
liba52/imdct.c: In function 'ifft128_c':
liba52/imdct.c:318: warning: array subscript is below array bounds
liba52/imdct.c:322: warning: array subscript is below array bounds
make: *** [liba52/imdct.o] Error 1
/usr/libexec/paludis/utils/emake: emake returned error 2

!!! ERROR in media-video/mplayer-1.0_rc2_p20090530:
!!! In src_compile at line 3890
!!! Failed to build MPlayer!




Package media-video/mplayer-1.0_rc2_p20090322::installed:

        >>> Running ebuild phase killold as paludisbuild:paludisbuild...
        bunzip2 < /var/db/pkg/media-video/mplayer-1.0_rc2_p20090322/environment.bz2 > /var/tmp/paludis/environment-media-video-mplayer-1.0_rc2_p20090322-24647
        ebuild_scrub_environment /var/tmp/paludis/environment-media-video-mplayer-1.0_rc2_p20090322-24647
        ebuild_safe_source /var/tmp/paludis/environment-media-video-mplayer-1.0_rc2_p20090322-24647
        rm /var/tmp/paludis/environment-media-video-mplayer-1.0_rc2_p20090322-24647
        >>> Starting builtin_killold
        >>> Done builtin_killold
        >>> Completed ebuild phase killold
        >>> Running ebuild phases initmisc infovars info as paludisbuild:paludisbuild...
        bunzip2 < /var/db/pkg/media-video/mplayer-1.0_rc2_p20090322/environment.bz2 > /var/tmp/paludis/environment-media-video-mplayer-1.0_rc2_p20090322-24706
        ebuild_scrub_environment /var/tmp/paludis/environment-media-video-mplayer-1.0_rc2_p20090322-24706
        ebuild_safe_source /var/tmp/paludis/environment-media-video-mplayer-1.0_rc2_p20090322-24706
        rm /var/tmp/paludis/environment-media-video-mplayer-1.0_rc2_p20090322-24706
        >>> Starting builtin_initmisc
        >>> Done builtin_initmisc
        >>> Starting builtin_infovars
        ACCEPT_KEYWORDS=x86
        CBUILD=i686-pc-linux-gnu
        CFLAGS=-Os -mtune=pentium-m -march=pentium-m -mfpmath=sse -pipe -momit-leaf-frame-pointer -ggdb -w -ftree-vectorize -ftree-loop-optimize -freorder-blocks-and-partition -fgcse-sm -fgcse-las -fgcse-after-reload -ftracer -maccumulate-outgoing-args
        CHOST=i686-pc-linux-gnu
        CONFIG_PROTECT=/var/lib/hsqldb /etc 
        CONFIG_PROTECT_MASK=/etc/gentoo-release /etc/sandbox.d /etc/env.d/java/ /etc/udev/rules.d /etc/fonts/fonts.conf /etc/gconf /etc/terminfo /etc/ca-certificates.conf /etc/texmf/web2c /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/revdep-rebuild /etc/env.d /etc/gconf 
        CPPFLAGS=
        CTARGET=
        CXXFLAGS=-Os -mtune=pentium-m -march=pentium-m -mfpmath=sse -pipe -momit-leaf-frame-pointer -ggdb -w -ftree-vectorize -ftree-loop-optimize -freorder-blocks-and-partition -fgcse-sm -fgcse-las -fgcse-after-reload -ftracer -maccumulate-outgoing-args
        DISTDIR=/var/db/pkg/media-video/mplayer-1.0_rc2_p20090322
        FEATURES=collision-protect cvs digest multilib-strict sign splitdebug stricter userpriv usersandbox
        FFLAGS=
        GENTOO_MIRRORS=
        INSTALL_MASK=
        LANG=
        LC_ALL=C
        LDFLAGS=-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=both -Wl,--sort-common
        LINGUAS=en_GB en_US pl
        MAKEOPTS=
        PORTAGE_COMPRESS=
        PORTAGE_COMPRESS_FLAGS=
        PORTAGE_CONFIGROOT=
        PORTAGE_RSYNC_EXTRA_OPTS=
        PORTAGE_RSYNC_OPTS=
        PORTAGE_TMPDIR=/var/tmp/paludis
        PORTDIR=/var/db/pkg/media-video/mplayer-1.0_rc2_p20090322
        PORTDIR_OVERLAY=
        SYNC=
        USE=X a52 aac alsa amrnb amrwb ass cddb cdio cdparanoia dirac dts dv dvd dvdnav enca encode esd faac faad ftp gif gtk iconv ipv6 jpeg live mad mmx mp2 mp3 nemesi network openal opengl png pulseaudio quicktime rar real rtc samba schroedinger sdl speex sse sse2 theora tremor truetype unicode vorbis win32codecs x264 xscreensaver xv xvid x86 alsa_cards_atiixp alsa_pcm_plugins_dmix alsa_pcm_plugins_dshare alsa_pcm_plugins_empty alsa_pcm_plugins_ioplug alsa_pcm_plugins_null apache2_modules_actions apache2_modules_alias apache2_modules_auth_basic apache2_modules_authn_alias apache2_modules_authn_anon apache2_modules_authn_dbm apache2_modules_authn_default apache2_modules_authn_file apache2_modules_authz_dbm apache2_modules_authz_default apache2_modules_authz_groupfile apache2_modules_authz_host apache2_modules_authz_owner apache2_modules_authz_user apache2_modules_autoindex apache2_modules_cache apache2_modules_dav apache2_modules_dav_fs apache2_modules_dav_lock apache2_modules_deflate apache2_modules_dir apache2_modules_disk_cache apache2_modules_env apache2_modules_expires apache2_modules_ext_filter apache2_modules_file_cache apache2_modules_filter apache2_modules_headers apache2_modules_include apache2_modules_info apache2_modules_log_config apache2_modules_logio apache2_modules_mem_cache apache2_modules_mime apache2_modules_mime_magic apache2_modules_negotiation apache2_modules_rewrite apache2_modules_setenvif apache2_modules_speling apache2_modules_status apache2_modules_unique_id apache2_modules_userdir apache2_modules_usertrack apache2_modules_vhost_alias cameras_panasonic elibc_glibc input_devices_evdev kernel_linux lcd_devices_bayrad lcd_devices_cfontz lcd_devices_cfontz633 lcd_devices_glk lcd_devices_hd44780 lcd_devices_lb216 lcd_devices_lcdm001 lcd_devices_mtxorb lcd_devices_ncurses lcd_devices_text linguas_en_GB linguas_en_US linguas_pl netbeans_modules_ide netbeans_modules_java netbeans_modules_websvccommon userland_GNU video_cards_radeon x86 
        >>> Done builtin_infovars
        >>> Starting pkg_info
        >>> Done pkg_info
        >>> Completed ebuild phases initmisc infovars info
        >>> Running ebuild phase tidyup as paludisbuild:paludisbuild...
        bunzip2 < /var/db/pkg/media-video/mplayer-1.0_rc2_p20090322/environment.bz2 > /var/tmp/paludis/environment-media-video-mplayer-1.0_rc2_p20090322-24785
        ebuild_scrub_environment /var/tmp/paludis/environment-media-video-mplayer-1.0_rc2_p20090322-24785
        ebuild_safe_source /var/tmp/paludis/environment-media-video-mplayer-1.0_rc2_p20090322-24785
        rm /var/tmp/paludis/environment-media-video-mplayer-1.0_rc2_p20090322-24785
        >>> Starting builtin_tidyup
        rm -fr /var/tmp/paludis/media-video-mplayer-1.0_rc2_p20090322-info
        >>> Done builtin_tidyup
        >>> Completed ebuild phase tidyup

Package media-video/mplayer-1.0_rc2_p20090530:0::gentoo:

paludis@1243941866: [WARNING e.ebuild.userpriv_disabled] In thread ID '24616':
  ... In program paludis --info mplayer:
  ... When handling query 'mplayer':
  ... When infoing 'media-video/mplayer-1.0_rc2_p20090530:0::gentoo':
  ... When checking permissions on '/var/tmp/paludis' for userpriv:
  ... Directory '/var/tmp/paludis' does not have group write permission, cannot enable userpriv
        >>> Running ebuild phase killold as paludisbuild:paludisbuild...
        >>> Starting builtin_killold
        >>> Done builtin_killold
        >>> Completed ebuild phase killold
        >>> Running ebuild phases initmisc infovars as paludisbuild:paludisbuild...
        >>> Starting builtin_initmisc
        >>> Done builtin_initmisc
        >>> Starting builtin_infovars
        ACCEPT_KEYWORDS=x86
        CBUILD=i686-pc-linux-gnu
        CFLAGS=-Os -mtune=pentium-m -march=pentium-m -mfpmath=sse -pipe -momit-leaf-frame-pointer -ggdb -w -ftree-vectorize -ftree-loop-optimize -ftree-loop-linear -freorder-blocks-and-partition -fgcse-sm -fgcse-las -fgcse-after-reload -ftracer -maccumulate-outgoing-args -findirect-inlining -floop-interchange -floop-block -floop-strip-mine
        CHOST=i686-pc-linux-gnu
        CONFIG_PROTECT= 
        CONFIG_PROTECT_MASK= 
        CPPFLAGS=
        CTARGET=
        CXXFLAGS=-Os -mtune=pentium-m -march=pentium-m -mfpmath=sse -pipe -momit-leaf-frame-pointer -ggdb -w -ftree-vectorize -ftree-loop-optimize -ftree-loop-linear -freorder-blocks-and-partition -fgcse-sm -fgcse-las -fgcse-after-reload -ftracer -maccumulate-outgoing-args -findirect-inlining -floop-interchange -floop-block -floop-strip-mine
        DISTDIR=/var/tmp/distfiles
        FEATURES=collision-protect cvs digest multilib-strict sign splitdebug stricter userpriv usersandbox
        FFLAGS=
        GENTOO_MIRRORS=
        INSTALL_MASK=
        LANG=
        LC_ALL=C
        LDFLAGS=-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=both -Wl,--sort-common
        LINGUAS=en_GB en_US pl
        MAKEOPTS=
        PORTAGE_COMPRESS=
        PORTAGE_COMPRESS_FLAGS=
        PORTAGE_CONFIGROOT=
        PORTAGE_RSYNC_EXTRA_OPTS=
        PORTAGE_RSYNC_OPTS=
        PORTAGE_TMPDIR=/var/tmp/paludis
        PORTDIR=/usr/portage
        PORTDIR_OVERLAY=
        SYNC=
        USE=X a52 aac alsa amrnb amrwb ass cddb cdio cdparanoia dirac dts dv dvd dvdnav enca encode esd faac faad ftp gif iconv ipv6 jpeg live mad mmx mp2 mp3 nemesi network openal opengl osdmenu png pulseaudio quicktime rar real rtc samba schroedinger sdl shm speex sse sse2 theora tremor truetype unicode vorbis win32codecs x264 xscreensaver xv xvid x86 alsa_cards_atiixp alsa_pcm_plugins_dmix alsa_pcm_plugins_dshare alsa_pcm_plugins_empty alsa_pcm_plugins_ioplug alsa_pcm_plugins_null apache2_modules_actions apache2_modules_alias apache2_modules_auth_basic apache2_modules_authn_alias apache2_modules_authn_anon apache2_modules_authn_dbm apache2_modules_authn_default apache2_modules_authn_file apache2_modules_authz_dbm apache2_modules_authz_default apache2_modules_authz_groupfile apache2_modules_authz_host apache2_modules_authz_owner apache2_modules_authz_user apache2_modules_autoindex apache2_modules_cache apache2_modules_dav apache2_modules_dav_fs apache2_modules_dav_lock apache2_modules_deflate apache2_modules_dir apache2_modules_disk_cache apache2_modules_env apache2_modules_expires apache2_modules_ext_filter apache2_modules_file_cache apache2_modules_filter apache2_modules_headers apache2_modules_include apache2_modules_info apache2_modules_log_config apache2_modules_logio apache2_modules_mem_cache apache2_modules_mime apache2_modules_mime_magic apache2_modules_negotiation apache2_modules_rewrite apache2_modules_setenvif apache2_modules_speling apache2_modules_status apache2_modules_unique_id apache2_modules_userdir apache2_modules_usertrack apache2_modules_vhost_alias cameras_panasonic elibc_glibc input_devices_evdev kernel_linux lcd_devices_bayrad lcd_devices_cfontz lcd_devices_cfontz633 lcd_devices_glk lcd_devices_hd44780 lcd_devices_lb216 lcd_devices_lcdm001 lcd_devices_mtxorb lcd_devices_ncurses lcd_devices_text linguas_en_GB linguas_en_US linguas_pl netbeans_modules_ide netbeans_modules_java netbeans_modules_websvccommon qemu_softmmu_targets_i386 qemu_softmmu_targets_x86_64 qemu_user_targets_i386 qemu_user_targets_x86_64 userland_GNU video_cards_radeon x86 
        >>> Done builtin_infovars
        >>> Completed ebuild phases initmisc infovars
        >>> Running ebuild phase tidyup as paludisbuild:paludisbuild...
        >>> Starting builtin_tidyup
        rm -fr /var/tmp/paludis/media-video-mplayer-1.0_rc2_p20090530-info
        >>> Done builtin_tidyup
        >>> Completed ebuild phase tidyup
Comment 1 Steve Dibb (RETIRED) gentoo-dev 2009-06-02 19:08:33 UTC
need emerge --info, emerge -pv mplayer
Comment 2 Graham Murray 2009-06-02 20:50:17 UTC
emerge --info
Portage 2.2_rc33 (default/linux/x86/2008.0/desktop, gcc-4.4.0, glibc-2.10.1-r0, 2.6.30-rc7-00272-g0fa9da0 i686)
=================================================================
System uname: Linux-2.6.30-rc7-00272-g0fa9da0-i686-Intel-R-_Core-TM-2_CPU_6700_@_2.66GHz-with-gentoo-2.0.1
Timestamp of tree: Tue, 02 Jun 2009 16:45:02 +0000
app-shells/bash:     4.0_p24
dev-java/java-config: 2.1.8
dev-lang/python:     2.5.4-r2, 2.6.2-r1
dev-python/pycrypto: 2.0.1-r8
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r2
sys-apps/sandbox:    1.9
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.29
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=native -mtune=native -pipe -ggdb"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/bind /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=native -mtune=native -pipe -ggdb"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y"
FEATURES="buildsyspkg distlocks fixpackages installsources parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp.first-world.info/ http://de-mirror.org/distro/gentoo/ http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ http://gentoo.tiscali.nl/"
LANG="en_GB.UTF-8"
LC_ALL="en_GB.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en_GB en fr_FR fr"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/perl-experimental /usr/portage/local/layman/sunrise /usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac aalib acl acpi aim alsa apache2 arts audiofile avi bash-completion berkdb bluetooth bonobo branding browserplugin bzip2 bzlib cairo caps cddb cdparanoia cdr cjk cli cracklib crypt cups curl cvs cxx dbus directfb doc dri dts dv dvd dvdr dvdread eds emacs emboss encode esd ethereal evo examples exif expat fam fbcon ffmpeg fftw flac fontconfig foomaticdb fortran ftp gcj gd gdbm geoip gif glut gmp gnome gnome-keyring gnutls gphoto2 gpm graphviz gstreamer gtk gtk2 gtkhtml guile hal htmlhandbook iconv icq idn ieee1394 imagemagick imlib ipv6 isdnlog jabber jack java javascript jbig jce jpeg jpeg2k junit kde kdehiddenvisibility ladspa latex lcms ldap leim libgda libnotify libsamplerate libwww lirc lm_sensors logrotate lua mad matroska mbox midi mikmod milter mime mmap mmx mng modplug mono mozilla mp3 mpeg mpi mplayer msn mudflap musepack ncurses nls nptl nptlonly nsplugin odbc offensive ogg oggvorbis openal opengl openmp oscar oss pam pcntl pcre pdf perl plasma png postgres ppds pppd profile pulseaudio python qt3 qt3support qt4 quicktime readline recode reflection ruby sasl sdl semantic-desktop session sharedmem sndfile snmp sockets sox speex spell spl sqlite sqlite3 sse sse2 sse3 ssl ssse3 startup-notification subversion svg sysfs sysvipc tcl tcltk tcpd theora threads tiff tk truetype uicktime unicode usb v4l v4l2 vim-syntax vorbis wavpack win32codecs wmf wxwindows x264 x86 xattr xcb xcomposite xface xft xine xml xml2 xorg xulrunner xv xvid yahoo zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="worker" CAMERAS="canon ptp2" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_GB en fr_FR fr" LIRC_DEVICES="asusdh" USERLAND="GNU" VIDEO_CARDS="radeon vesa fbdev vga v4l"
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

emerge -pv mplayer

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] media-video/mplayer-1.0_rc2_p20090530 [1.0_rc2_p20090322] USE="X a52 aac aalib alsa amrnb amrwb ass cddb cdio cdparanoia dirac directfb doc dts dv dvd dvdnav enca encode esd faac faad fbcon ftp gif iconv ipv6 jack jpeg ladspa lirc live lzo mad mmx mng mp2 mp3 musepack nemesi network openal opengl osdmenu%* oss png pulseaudio quicktime rar real rtc schroedinger sdl shm%* speex sse sse2 ssse3 theora tremor truetype unicode v4l v4l2 vorbis win32codecs x264 xanim xscreensaver xv xvid xvmc -3dnow -3dnowext (-altivec) -bidi -bindist -bl -cpudetection -custom-cflags -custom-cpuopts -debug -dga -dvb -dxr3 -ggi -gmplayer% -joystick -libcaca -md5sum -mmxext -nas -nut% -pnm -pvr -radio -samba -svga -teletext -tga -vdpau -vidix -xinerama -zoran (-arts%*) (-gtk%)" VIDEO_CARDS="vesa -mga -nvidia -s3virge -tdfx" 0 kB

Total: 1 package (1 upgrade), Size of downloads: 0 kB
Comment 3 Maciej Piechotka 2009-06-02 21:00:07 UTC
(In reply to comment #1)
> need emerge --info, emerge -pv mplayer
> 

paludis --info mplayer posted. paludis -pi below(although AFAIU it duplicates the information)

* media-video/mplayer [U 1.0_rc2_p20090322 -> 1.0_rc2_p20090530] <target>
    -3dnow -3dnowext X a52 aac -aalib alsa (-altivec) amrnb amrwb ass -bidi -bindist -bl cddb cdio cdparanoia -cpudetection -custom-cflags -custom-cpuopts -debug -dga dirac -directfb -doc dts dv -dvb dvd dvdnav -dxr3 enca encode esd faac faad -fbcon ftp -ggi gif -gmplayer+ iconv ipv6 -jack -joystick jpeg -ladspa -libcaca -lirc live -lzo mad -md5sum mmx -mmxext -mng mp2 mp3 -musepack -nas nemesi network -nut+ openal opengl osdmenu+ -oss png -pnm pulseaudio -pvr quicktime -radio rar real rtc samba schroedinger sdl shm+ speex sse sse2 -ssse3 -svga -teletext -tga theora tremor truetype unicode -v4l -v4l2 -vdpau -vidix vorbis win32codecs x264 -xanim -xinerama xscreensaver xv xvid -xvmc -zoran VIDEO_CARDS: -mga -nvidia -s3virge -tdfx -vesa build_options: -optional_tests split strip

PS. I don't know how I forgot that I have 4.4. 4.3 works fine (I did not find warning message this time about posting bugs and I found 4.4 in portage tree so I assume that it is after 'release' of gcc).
Comment 4 Maciej Piechotka 2009-06-02 21:01:47 UTC
(In reply to comment #3)
> (In reply to comment #1)
> > need emerge --info, emerge -pv mplayer
> > 
> 
> paludis --info mplayer posted. 

Ups. One element missed (except long list of repos and overlays):
paludis 0.36.1
Paludis build information:
    Compiler:
        CXX:                   i686-pc-linux-gnu-g++ 4.4.0
        CXXFLAGS:               -Os -mtune=pentium-m -march=pentium-m -mfpmath=sse -pipe -momit-leaf-frame-pointer -w -ftree-vectorize -ftree-loop-optimize -ftree-loop-linear -freorder-blocks-and-partition -fgcse-sm -fgcse-las -fgcse-after-reload -ftracer -maccumulate-outgoing-args -findirect-inlining -floop-interchange -floop-block -floop-strip-mine -pedantic
        LDFLAGS:               -Wl,-O1 -Wl,--as-needed -Wl,--hash-style=both -Wl,--sort-common
        DATE:                  2009-04-29T01:43:14+0200

Comment 5 Sasha Medvedev 2009-06-15 07:53:53 UTC
It seems I have the same issue with mplayer-1.0_rc2_p20090322. But I have stable gcc 4.3 and mplayer-1.0_rc2_p20090530 compiles fine for me.
Comment 6 Sasha Medvedev 2009-06-15 07:55:50 UTC
Created attachment 194741 [details]
My build log
Comment 7 Sasha Medvedev 2009-06-15 07:57:09 UTC
Created attachment 194743 [details]
My emerge --info
Comment 8 Joost Ruis 2009-06-23 19:11:23 UTC
Same thing happened to me, only on x86, not on amd64.
Adding myself to CC.
Comment 9 Joost Ruis 2009-06-23 19:32:41 UTC
After * Switching native-compiler to i686-pc-linux-gnu-4.3.2 
It compiles. Its isolated to latest gcc and x86.

Comment 10 Pablo Cholaky 2009-07-02 11:32:01 UTC
Some fix for that?
Comment 11 Joost Ruis 2009-07-22 20:08:10 UTC
Sorry for punching this bug up again but as we all know its a very popular player and its still not fixed.

Does the maintainer need more info?
Comment 12 Samuli Suominen gentoo-dev 2009-07-22 20:16:16 UTC
A patch would be nice to get; preferably reviewed by upstream on mplayer mailinglist.
Comment 13 Paritsky Vitaliy 2009-07-22 23:19:44 UTC
Have the same problem. And sources from svn fails to compile with the same error. 
But!
After ./configure in file config.mak  i have changed -04 to -02 (CFLAGS=, OPTFLAGS=. and CXXFLAGS= strings) and it have compiled fine. 
Than i run "sudo emerge mplayer" and after configure stoped "cp /media/working/portage/media-video/mplayer-1.0_rc2_p20090530/work/mplayer-1.0_rc2_p20090530/con
fig.mak ~". Than i have changed that strings and run "sudo emerge mplayer" one more time. After configure stage just copied modified file back to working dir (you have only few seconds for this) and mplayer had forcefully build.
So, may be the problem in the optimization parameters?
I don't know more "linux-way solution" and don't know haow to write the patch, but it works for me.

Sorry for my english
Comment 14 Paritsky Vitaliy 2009-07-22 23:21:37 UTC
Oh, sorry for English one more time
Comment 15 Samuli Suominen gentoo-dev 2009-08-03 18:48:01 UTC
Please try 20090731.
Comment 16 Joost Ruis 2009-08-03 18:55:13 UTC
20090731 compiled fine.
Comment 17 Samuli Suominen gentoo-dev 2009-08-03 19:12:53 UTC
(In reply to comment #16)
> 20090731 compiled fine.
> 

Thanks for testing.
Comment 18 Maciej Piechotka 2009-08-03 23:16:24 UTC
Reproduced with media-video/mplayer-1.0_rc2_p20090731:

In file included from liba52/imdct.c:729:
liba52/imdct_3dnow.h: In function 'T.65':
liba52/imdct_3dnow.h:289: error: can't find a register in class 'GENERAL_REGS' while reloading 'asm'
(...)
liba52/imdct_3dnow.h:257: error: can't find a register in class 'GENERAL_REGS' while reloading 'asm'
liba52/imdct_3dnow.h:117: error: 'asm' operand has impossible constraints
(...)
liba52/imdct_3dnow.h:263: error: 'asm' operand has impossible constraints
liba52/imdct.c: In function 'ifft16':
liba52/imdct.c:294: warning: array subscript is below array bounds
liba52/imdct.c: In function 'ifft64_c':
liba52/imdct.c:310: warning: array subscript is below array bounds
liba52/imdct.c: In function 'ifft128_c':
liba52/imdct.c:318: warning: array subscript is below array bounds
liba52/imdct.c:322: warning: array subscript is below array bounds
make: *** [liba52/imdct.o] Error 1
/usr/libexec/paludis/utils/emake: emake returned error 2

!!! ERROR in media-video/mplayer-1.0_rc2_p20090731:
!!! In src_compile at line 4017
!!! Failed to build MPlayer!

!!! Call stack:
!!!    * src_compile (/var/tmp/paludis/media-video-mplayer-1.0_rc2_p20090731/temp/loadsaveenv:4017)
!!!    * ebuild_f_compile (/usr/libexec/paludis/2/src_compile.bash:56)
!!!    * ebuild_main (/usr/libexec/paludis/ebuild.bash:575)
!!!    * main (/usr/libexec/paludis/ebuild.bash:591)
Comment 19 Samuli Suominen gentoo-dev 2009-08-04 05:13:32 UTC
I'm not suprised. Try without ricer flags.

CFLAGS=-Os -mtune=pentium-m -march=pentium-m -mfpmath=sse -pipe
-momit-leaf-frame-pointer -ggdb -w -ftree-vectorize -ftree-loop-optimize
-freorder-blocks-and-partition -fgcse-sm -fgcse-las -fgcse-after-reload
-ftracer -maccumulate-outgoing-args
CXXFLAGS=-Os -mtune=pentium-m -march=pentium-m -mfpmath=sse -pipe
-momit-leaf-frame-pointer -ggdb -w -ftree-vectorize -ftree-loop-optimize
-freorder-blocks-and-partition -fgcse-sm -fgcse-las -fgcse-after-reload
-ftracer -maccumulate-outgoing-args
Comment 20 Samuli Suominen gentoo-dev 2009-08-04 05:15:18 UTC
Since I bet some of those flags only loses you a register on x86 where they are already running low..., might even try adding -fomit-frame-pointer to gain one.
Comment 21 Samuli Suominen gentoo-dev 2009-08-04 05:19:13 UTC
Also I can't see the GCC version used in the paludis information. Use portage, thanks.
Comment 22 Samuli Suominen gentoo-dev 2009-08-04 10:18:50 UTC
(In reply to comment #20)
> Since I bet some of those flags only loses you a register on x86 where they are
> already running low..., might even try adding -fomit-frame-pointer to gain one.
> 

Try if "use x86 && append-flags -fomit-frame-pointer" before ./configure helps. I'm not sure if we should leave use it only for custom-cflags since MPlayer seems to run out of registers anyway..
Comment 23 Maciej Piechotka 2009-08-04 11:34:37 UTC
(In reply to comment #20)
> Since I bet some of those flags only loses you a register on x86 where they are
> already running low..., might even try adding -fomit-frame-pointer to gain one.
> 

Actuallyas far as I observed the resulted code it make the reg allocation better.
Anyway - reproduced with "-Os -mtune=pentium-m -march=pentium-m -mfpmath=sse  -fomit-frame-pointer".

(In reply to comment #21)
> Also I can't see the GCC version used in the paludis information. Use portage,
> thanks.
> 

Using built-in specs.
Target: i686-pc-linux-gnu
Configured with: /var/tmp/paludis/sys-devel-gcc-4.4.0/work/gcc-4.4.0/configure --prefix=/usr --bindir=/usr/i686-pc-linux-gnu/gcc-bin/4.4.0 --includedir=/usr/lib/gcc/i686-pc-linux-gnu/4.4.0/include --datadir=/usr/share/gcc-data/i686-pc-linux-gnu/4.4.0 --mandir=/usr/share/gcc-data/i686-pc-linux-gnu/4.4.0/man --infodir=/usr/share/gcc-data/i686-pc-linux-gnu/4.4.0/info --with-gxx-include-dir=/usr/lib/gcc/i686-pc-linux-gnu/4.4.0/include/g++-v4 --host=i686-pc-linux-gnu --build=i686-pc-linux-gnu --disable-altivec --disable-fixed-point --enable-nls --without-included-gettext --with-system-zlib --disable-checking --disable-werror --enable-secureplt --disable-multilib --enable-libmudflap --disable-libssp --enable-libgomp --enable-cld --disable-libgcj --with-arch=i686 --enable-objc-gc --enable-languages=c,c++,objc,obj-c++,fortran --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu --with-bugurl=http://bugs.gentoo.org/ --with-pkgversion='Gentoo 4.4.0' --with-ppl --with-cloog
Thread model: posix
gcc version 4.4.0 (Gentoo 4.4.0) 

I don't have portage configured.
Comment 24 Maciej Piechotka 2009-08-04 11:43:41 UTC
(In reply to comment #22)
> (In reply to comment #20)
> > Since I bet some of those flags only loses you a register on x86 where they are
> > already running low..., might even try adding -fomit-frame-pointer to gain one.
> > 
> 
> Try if "use x86 && append-flags -fomit-frame-pointer" before ./configure helps.
> I'm not sure if we should leave use it only for custom-cflags since MPlayer
> seems to run out of registers anyway..
> 

I don't have custom-cflags. So that is nota problem with CFLAGS. mplayer seems tobe broken on x86 with gcc 4.4.


Package media-video/mplayer-1.0_rc2_p20090731:0::gentoo:

        >>> Running ebuild phase killold as paludisbuild:paludisbuild...
        >>> Starting builtin_killold
        >>> Done builtin_killold
        >>> Completed ebuild phase killold
        >>> Running ebuild phases initmisc infovars as paludisbuild:paludisbuild...
        >>> Starting builtin_initmisc
        >>> Done builtin_initmisc
        >>> Starting builtin_infovars
        ACCEPT_KEYWORDS=x86
        CBUILD=i686-pc-linux-gnu
        CFLAGS=-Os -mtune=pentium-m -march=pentium-m -mfpmath=sse  -fomit-frame-pointer
        CHOST=i686-pc-linux-gnu
        CONFIG_PROTECT= 
        CONFIG_PROTECT_MASK= 
        CPPFLAGS=
        CTARGET=
        CXXFLAGS=-Os -mtune=pentium-m -march=pentium-m -mfpmath=sse  -fomit-frame-pointer
        DISTDIR=/var/tmp/distfiles
        FEATURES=collision-protect cvs digest multilib-strict sign splitdebug stricter userpriv usersandbox
        FFLAGS=
        GENTOO_MIRRORS=
        INSTALL_MASK=
        LANG=
        LC_ALL=C
        LDFLAGS=-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=both -Wl,--sort-common
        LINGUAS=en_GB en_US pl
        MAKEOPTS=
        PORTAGE_COMPRESS=
        PORTAGE_COMPRESS_FLAGS=
        PORTAGE_CONFIGROOT=
        PORTAGE_RSYNC_EXTRA_OPTS=
        PORTAGE_RSYNC_OPTS=
        PORTAGE_TMPDIR=/var/tmp/paludis
        PORTDIR=/usr/portage
        PORTDIR_OVERLAY=
        SYNC=
        USE=X a52 aac alsa ass cddb cdio cdparanoia dirac doc dts dv dvd dvdnav enca encode esd faac faad ftp gif iconv ipv6 jpeg live mad mmx mp2 mp3 network openal opengl osdmenu png pulseaudio quicktime rar real rtc samba schroedinger sdl shm speex sse sse2 theora tremor truetype unicode vorbis win32codecs x264 xscreensaver xv xvid x86 alsa_cards_atiixp alsa_pcm_plugins_adpcm alsa_pcm_plugins_alaw alsa_pcm_plugins_asym alsa_pcm_plugins_copy alsa_pcm_plugins_dmix alsa_pcm_plugins_dshare alsa_pcm_plugins_dsnoop alsa_pcm_plugins_empty alsa_pcm_plugins_extplug alsa_pcm_plugins_file alsa_pcm_plugins_hooks alsa_pcm_plugins_iec958 alsa_pcm_plugins_ioplug alsa_pcm_plugins_ladspa alsa_pcm_plugins_lfloat alsa_pcm_plugins_linear alsa_pcm_plugins_meter alsa_pcm_plugins_mmap_emul alsa_pcm_plugins_mulaw alsa_pcm_plugins_multi alsa_pcm_plugins_null alsa_pcm_plugins_plug alsa_pcm_plugins_rate alsa_pcm_plugins_route alsa_pcm_plugins_share alsa_pcm_plugins_shm alsa_pcm_plugins_softvol apache2_modules_actions apache2_modules_alias apache2_modules_auth_basic apache2_modules_authn_alias apache2_modules_authn_anon apache2_modules_authn_dbm apache2_modules_authn_default apache2_modules_authn_file apache2_modules_authz_dbm apache2_modules_authz_default apache2_modules_authz_groupfile apache2_modules_authz_host apache2_modules_authz_owner apache2_modules_authz_user apache2_modules_autoindex apache2_modules_cache apache2_modules_dav apache2_modules_dav_fs apache2_modules_dav_lock apache2_modules_deflate apache2_modules_dir apache2_modules_disk_cache apache2_modules_env apache2_modules_expires apache2_modules_ext_filter apache2_modules_file_cache apache2_modules_filter apache2_modules_headers apache2_modules_include apache2_modules_info apache2_modules_log_config apache2_modules_logio apache2_modules_mem_cache apache2_modules_mime apache2_modules_mime_magic apache2_modules_negotiation apache2_modules_rewrite apache2_modules_setenvif apache2_modules_speling apache2_modules_status apache2_modules_unique_id apache2_modules_userdir apache2_modules_usertrack apache2_modules_vhost_alias cameras_panasonic elibc_glibc input_devices_evdev kernel_linux lcd_devices_bayrad lcd_devices_cfontz lcd_devices_cfontz633 lcd_devices_glk lcd_devices_hd44780 lcd_devices_lb216 lcd_devices_lcdm001 lcd_devices_mtxorb lcd_devices_ncurses lcd_devices_text linguas_en_GB linguas_en_US linguas_pl netbeans_modules_ide netbeans_modules_java netbeans_modules_websvccommon qemu_softmmu_targets_i386 qemu_softmmu_targets_x86_64 qemu_user_targets_i386 qemu_user_targets_x86_64 sane_backends_gt68xx userland_GNU video_cards_radeon x86 
        >>> Done builtin_infovars
        >>> Completed ebuild phases initmisc infovars
        >>> Running ebuild phase tidyup as paludisbuild:paludisbuild...
        >>> Starting builtin_tidyup
        rm -fr /var/tmp/paludis/media-video-mplayer-1.0_rc2_p20090731-info
        >>> Done builtin_tidyup
        >>> Completed ebuild phase tidyup
Comment 25 Maciej Piechotka 2009-08-04 13:02:28 UTC
Compiled sucessfully with CFLAGS="-Os -mtune=pentium-m -march=pentium-m -mfpmath=sse  -fomit-frame-pointer"  and CFLAGS="-Os -mtune=pentium-m -march=pentium-m -mfpmath=sse -pipe -momit-leaf-frame-pointer -ggdb -w -ftree-vectorize -ftree-loop-optimize -ftree-loop-linear -freorder-blocks-and-partition -fgcse-sm -fgcse-las -fgcse-after-reload -ftracer -maccumulate-outgoing-args -findirect-inlining -floop-interchange -floop-block -floop-strip-mine" + custom-cflags.
Comment 26 Vladimir Kokarev 2009-08-24 19:46:02 UTC
I'm not sure if it is helpful, but the "guilty" cflag is -finline-functions
I tracked it down by compiling mplayer with enabled custom-cflags and enabling different cflags (that was easy, because -O3 has only 3 cflags over -O2)
Comment 27 Vladimir Kokarev 2009-08-24 19:52:46 UTC
please don't consider my previous comment
I have accidently posted it for the wrong bug
Comment 28 Samuli Suominen gentoo-dev 2009-10-26 18:47:41 UTC
This should be fixed with mplayer-1.0_rc4_p20091026.